seadas7.5.1 installing issure fro

Please enter here to ask a question about any NASA Science related topics!
Post Reply
lwk1542
Posts: 26
Joined: Tue Apr 03, 2018 9:52 am America/New_York

seadas7.5.1 installing issure fro

by lwk1542 » Tue Jan 15, 2019 11:02 pm America/New_York

the error occure in the last step "update_lut". how should i solve this problem?
......
Python version acceptable
Installing aqua-luts (10 of 10)
Bad response for https://oceandata.sci.gsfc.nasa.gov/Ancillary/LUTs/modis/?format=json: 400  Bad Request
Traceback (most recent call last):
  File "/home/lwk/ocssw/scripts/update_luts.py", line 66, in <module>
    luts.get_luts()
  File "/home/lwk/ocssw/scripts/modules/LutUtils.py", line 128, in get_luts
    regex='^((?!\d+).)*' + suffix, check_times=True)
  File "/home/lwk/ocssw/scripts/modules/JsonUtils.py", line 269, in download_allfiles
    all_links = self.get_links(url, regex=regex)
  File "/home/lwk/ocssw/scripts/modules/JsonUtils.py", line 237, in get_links
    if is_json(response):
  File "/home/lwk/ocssw/scripts/modules/JsonUtils.py", line 135, in is_json
    return response and ('json' in response.getheader('content-type'))
TypeError: argument of type 'NoneType' is not iterable
Error - Could not install luts for aqua

Tags:

zhigang
Posts: 69
Joined: Tue Nov 10, 2020 8:03 pm America/New_York

seadas7.5.1 installing issure fro

by zhigang » Wed Jan 16, 2019 11:38 am America/New_York

I guess that the git in your system is not complete version. Firstly, you can check the git connection using:
git ls-remote "https://oceandata.sci.gsfc.nasa.gov/git/obpgpyutils/" HEAD
if the text like "be40eb6871cf353024c22bdd8e4b014b91bc414a        HEAD" was not shown in terminal, you can try to install a new git following:
$ sudo apt-get install build-essential libcurl4-openssl-dev
$ cd ~
$ wget https://github.com/git/git/archive/v2.11.0.zip -O git_2.11.0.zip
$ unzip git_2.11.0.zip
$ cd git-2.11.0
$ make prefix=/usr/local all && make prefix=/usr/local install
$ export PATH=/usr/local/bin:$PATH
$ which git
/home/$USERNAME/usr/local/bin/git
$ git --version
git version 2.11.0

Then, to check the git connection again.

If the git is okay, please wait for other correct reply.:grin:

Regards,
Zhigang

lwk1542
Posts: 26
Joined: Tue Apr 03, 2018 9:52 am America/New_York

seadas7.5.1 installing issure fro

by lwk1542 » Wed Jan 16, 2019 10:39 pm America/New_York

Zhigang,
    Thanks for your help. I update GIT, but it seems not to work.

lwk@ubuntu:~/seadas-7.5.1$ git ls-remote "https://oceandata.sci.gsfc.nasa.gov/git/obpgpyutils/" HEAD
be40eb6871cf353024c22bdd8e4b014b91bc414a  HEAD

lwk@ubuntu:~/seadas-7.5.1$ ./install_ocssw.py  --aqua
Installing bundles.sha256sum (1 of 10)
--2019-01-16 19:31:59--  https://oceandata.sci.gsfc.nasa.gov/ocssw/bundles.sha256sum
Connecting to xx.xxx.xx.xx:46459... connected.
Proxy request sent, awaiting response... 200 OK
Length: 3719 (3.6K) [application/octet-stream]
Saving to: ‘bundles.sha256sum’

bundles.sha256sum   100%[===================>]   3.63K  --.-KB/s    in 0s     

2019-01-16 19:32:00 (855 MB/s) - ‘bundles.sha256sum’ saved [3719/3719]

Installing common (2 of 10)
Installing OCSSW_bash.env (3 of 10)
--2019-01-16 19:32:04--  https://oceandata.sci.gsfc.nasa.gov/ocssw/OCSSW_bash.env.v7.5
Connecting to xx.xxx.xx.xx:46459... connected.
Proxy request sent, awaiting response... 200 OK
Length: 3001 (2.9K) [application/octet-stream]
Saving to: ‘OCSSW_bash.env.v7.5’

OCSSW_bash.env.v7.5 100%[===================>]   2.93K  --.-KB/s    in 0s     

2019-01-16 19:32:05 (518 MB/s) - ‘OCSSW_bash.env.v7.5’ saved [3001/3001]

Installing ocrvc (4 of 10)
Installing modis (5 of 10)
Installing modis/aqua (6 of 10)
Installing bin (7 of 10)
Installing opt (8 of 10)
Installing scripts (9 of 10)
Python version acceptable
Installing aqua-luts (10 of 10)
Bad response for https://oceandata.sci.gsfc.nasa.gov/Ancillary/LUTs/modis/?format=json: 400  Bad Request
Traceback (most recent call last):
  File "/home/lwk/ocssw/scripts/update_luts.py", line 66, in <module>
    luts.get_luts()
  File "/home/lwk/ocssw/scripts/modules/LutUtils.py", line 128, in get_luts
    regex='^((?!d+).)*' + suffix, check_times=True)
  File "/home/lwk/ocssw/scripts/modules/JsonUtils.py", line 269, in download_allfiles
    all_links = self.get_links(url, regex=regex)
  File "/home/lwk/ocssw/scripts/modules/JsonUtils.py", line 237, in get_links
    if is_json(response):
  File "/home/lwk/ocssw/scripts/modules/JsonUtils.py", line 135, in is_json
    return response and ('json' in response.getheader('content-type'))
TypeError: argument of type 'NoneType' is not iterable
Error - Could not install luts for aqua

Post Reply